upgraded to 8 hp1 from 7 sp2 using "copy file only option"

seemed to work fine, we had done this several times in a test environment.
Few days and the following error occurred about every day.

The CPU encountered a problem executing code in USERLIB.NLM. The problem
may be in that module or in data passed to that module by a process owned by

We then discovered that the upgrade was performed using a non-admin

The "copy only upgrade" was completed again last evening as admin, and again
all seemed well.

now the version 7 clients get the ole error 80004005 sometimes after logging

I have not yet seen the error on a version 8 client.

We will be upgrading the 100+ users shortly, do we need to do it sooner to
fix this error?

Any ideas?